Subject: bug#10231: libtool.m4 makes the wrong shell (dash) run libtool

From: Hallvard B Furuseth <[email-masked]>
Date: Fri, 9 Dec 2011 16:55:44 +0100

Earnie writes:
> Peter O'Gorman wrote:
>> Removing $(SHELL) from LIBTOOL makes sense to me, I don't know if it
>> will cause problems on windows though?
> 
> I don't think it should matter.  Both Cygwin and MSYS have /bin/sh and
> /usr/bin/sh.  Without a POSIX shell libtool is impossible anyway.

Yeah, but the question is if Cygnus/MSYS ensure that when the Make
program invokes libtool it obeys the '#! <shell path>' line inside it.
Windows itself does not.  I assume yes, but I don't use Windows.

-- 
Hallvard